<template>
  <div>
    <NuxtLink :to="`users-${user1ID}/${user1Name}`">USER ONE</NuxtLink>
    <br />
    <NuxtLink :to="`users-${user2ID}/${user2Name}`">USER TWO</NuxtLink>
    <br />
    <NuxtLink :to="{ name: 'users-id-name', params: { name: 'abc', id: 3 } }"
      >USER THREE</NuxtLink
    >

    <br />
    <br />
    <br />

    <NuxtLink :to="{ name: 'product-productOne' }">All Product</NuxtLink>
    <br />
    <NuxtLink :to="{ name: 'product-name', params: { name: 'abc' } }"
      >All Product id</NuxtLink
    >
  </div>
</template>

<script setup>
const user1ID = 1;
const user1Name = 'ABC';
const user2ID = 2;
const user2Name = 'XYZ';
</script>

<style></style>
